Bug 975611 - Idler should remove CPU limits during unidle call
Idler should remove CPU limits during unidle call
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Jhon Honce
libra bugs
Depends On:
  Show dependency treegraph
Reported: 2013-06-18 18:41 EDT by Jhon Honce
Modified: 2015-05-14 19:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-06-24 10:57:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jhon Honce 2013-06-18 18:41:55 EDT
Description of problem:
During the start of the gear during un-idling the cgroup cpu limitation should be raised.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. oo-idle application
2. hit application URL
3. application should be started without cgroup limits

Actual results:
cgroup cpu limit throttles start time

Expected results:
No throttling

Additional info:
This should improve un-idling all application types with jboss being the big winner.
Comment 1 Jhon Honce 2013-06-18 19:41:40 EDT
Fixed in https://github.com/openshift/origin-server/pull/2892
Comment 2 openshift-github-bot 2013-06-18 21:27:57 EDT
Commit pushed to master at https://github.com/openshift/origin-server

Bug 975611 - Remove cgroup cpu limit during un-idle

* To improve performance raise cgroup cpu limit while unidling gear
Comment 3 Xiaoli Tian 2013-06-19 07:18:12 EDT
Verified it on devenv_3383 

Before unidle,  its cpu.cfs_quota_us is  30000 
[root@ip-10-154-152-232 runtime]# cgget -r cpu.cfs_quota_us /openshift/591443120558261820981248
cpu.cfs_quota_us: 30000

During unidle, its cpu.cfs_quota_us is changed to 100000
[root@ip-10-154-152-232 runtime]# cgget -r cpu.cfs_quota_us /openshift/591443120558261820981248
cpu.cfs_quota_us: 100000

Note You need to log in before you can comment on or make changes to this bug.